package cc.fascinated.repository.mongo;

import cc.fascinated.model.user.User;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.Optional;
import java.util.UUID;

/**
 * @author Fascinated (fascinated7)
 */
public interface UserRepository extends MongoRepository<User, UUID> {
    /**
     * Finds a user by their steam id.
     *
     * @param steamId the steam id of the user
     * @return the user
     */
    Optional<User> findBySteamId(String steamId);
}
